Name:           emap
Version:        0.1.0
Release:        1%{?dist}
Summary:        Enlightenment map manager

Group:          System Environment/Libraries
License:        MIT
URL:            http://trac.enlightenment.org/e/wiki/Eio
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libeina-devel >= 1.0.0, ecore-devel >= 1.0.0
BuildRequires:  doxygen, enlightenment, autoconf automake m4 perl

%description
emap is a map manager.
- tiles source
- tracks manager
- route manager
- navigation


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/libemap*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Dec 11 2011 Vasile Chelban <vchelban@fedoramd.org> 0.1.0-1
- Initial specfile for emap
